

import request from '@/utils/request'
// pid

// 获取6选
export function statisticsTop(id) {
  return request({
    url: '/partnerOwn/partner/statisticsInfo?partnerId='+id,
    method: 'get',

  })
}
// 1金额
export function chartInfoAmount(query) {
  return request({
    url: '/partnerOwn/partner/chartInfoAmount',
    method: 'get',
    params: query
  })
}
// 数量
export function chartInfoNum(query) {
  return request({
    url: '/partnerOwn/partner/chartInfoNum',
    method: 'get',
    params: query
  })
}
// 合格率
export function chartInfoRatio(query) {
  return request({
    url: '/partnerOwn/partner/chartInfoRatio',
    method: 'get',
    params: query
  })
}
// 获取柱形图
export function getstatisticsZXT(query) {
  return request({
    url: '/appInspection/order/statisticsZXT',
    method: 'get',
    params: query
  })
}
// pid
export function shopInfo() {
  return request({
    url: '/partnerOwn/partner/shopInfo',
    method: 'get',

  })
}
// 查询检测商品分类分类
export function categoryList() {
  return request({
    url: '/system/inspectionGoods/categoryList',
    method: 'get',

  })
}
// 查询检测商品列表
export function listInspectionGoods(query) {
  return request({
    url: '/system/inspectionGoods/listPartnerGoods',
    method: 'get',
    params: query
  })
}

// 查询检测商品详细
export function getInspectionGoods(id) {
  return request({
    url: '/system/inspectionGoods/partnerGoodsDetail?goodsId=' + id,
    method: 'get'
  })
}

// 新增检测商品
export function addInspectionGoods(data) {
  return request({
    url: '/system/inspectionGoods/partnerAddGoods',
    method: 'post',
    data: data
  })
}

// 修改检测商品
export function updateInspectionGoods(data) {
  return request({
    url: '/system/inspectionGoods/partnerEditGoods',
    method: 'post',
    data: data
  })
}

// 删除检测商品
export function delInspectionGoods(id) {
  return request({
    url: '/system/inspectionGoods/partnerDelGoods?goodsId=' + id,
    method: 'post'
  })
}
//首页推荐
export function homeGoods(data) {
  return request({
    url: '/system/homeGoods/add',
    method: 'post',
    data:data
  })
}
//提交审核
export function tijiaoshenhe(data) {
  return request({
    url: '/system/inspectionGoods/examine',
    method: 'post',
    data:data
  })
}

//提交客户来源
export function getCustomerSource(data) {
  return request({
    url: '/partnerOwn/partner/getCustomerSource',
    method: 'get',
    params:data
  })
}
// //新旧车
// export function getCustomerSource(data) {
//   return request({
//     url: '/system/dict/data/type/car_status',
//     method: 'get',
//     params:data
//   })
// }

//提交审核
export function addCustomerSource(data) {
  return request({
    url: '/partnerOwn/partner/addCustomerSource',
    method: 'post',
    data:data
  })
}


//提交审核
export function getBankAccountList(data) {
  return request({
    url: '/partnerOwn/partner/getBankAccountList',
    method: 'get',
    params:data
  })
}

//提交审核
export function addBankAccount(data) {
  return request({
    url: '/partnerOwn/partner/addBankAccount',
    method: 'post',
    data:data
  })
}

//提交审核
export function delBankAccount(id) {
  return request({
    url: '/partnerOwn/partner/delBankAccount?dictId='+id ,
    method: 'post'
  })
}

//提交审核
export function delCustomerSource(id) {
  return request({
    url: '/partnerOwn/partner/delCustomerSource?dictId='+id ,
    method: 'post'
  })
}

